using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace JiraViewer
{
    public class Logger
    {
        // Do we need to clean up?
        static private StreamWriter m_stream = null;
        static String appPath = "";
        static String fileName = "";
        static public void SetPath(String path)
        {
            appPath = path;
            fileName = path + "\\TMError.log";
        }

        public Logger() { }
        //Method to log output as a separate line (carriage return)
        static public void WriteLine(string logLine)
        {
            try
            {
                Console.WriteLine(logLine);
                m_stream = new StreamWriter(fileName, true);

                // Prepend the current date/time to each line of output.
                m_stream.WriteLine(logLine);
                m_stream.Flush();
                m_stream.Close();
            }
            catch (Exception p_exception)
            {
                Console.WriteLine(Convert.ToString(p_exception));
            }

        }
        //Method to log output (no carriage return)
        static public void Write(string logString)
        {
            try
            {
                Console.Write(logString);
                m_stream = new StreamWriter(fileName, true);

                // Prepend the current date/time to each line of output.
                m_stream.Write(logString);
                m_stream.Flush();
                m_stream.Close();
            }
            catch (Exception p_exception)
            {
                Console.WriteLine(Convert.ToString(p_exception));
            }

        }
        
    }
}
